.cards-container {
  margin-top: 20px;
  display: flex;
  gap: 20px;
  justify-content: center;
  flex-wrap: wrap;
  width: 100%;
  padding: 0 10px;
}

.card {
  background-color: #000;
  color: #fff;
  border-radius: 25px;
  display: flex;
  align-items: center;
  padding: 28px;
  width: 283px;
  height: 111px;
  box-shadow: 0 4px 8px rgba(0,0,0,0.2);
  flex-shrink: 0;
}

.card img {
  width: 75px;
  height: 75px;
  margin-right: 20px;
}

.card-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 5px;
  font-family: 'Inter', sans-serif;
  font-size: 15px;
}

.card-text span {
  line-height: 1.2;
}

@media (max-width: 600px) {
  .cards-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
    padding: 0 20px;
  }

  .card {
    width: 100%;
    height: 80px;
    padding: 16px;
  }

  .card img {
    width: 30px;
    height: 30px;
    margin-right: 10px;
  }

  .card-text {
    font-size: 12px;
    gap: 2px;
  }
}

@media (min-width: 768px) and (max-width: 1023px) {
  .cards-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    padding: 0 20px;
  }

  .card {
    width: 100%;
    padding: 22px;
  }

  .card img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
  }

  .card-text {
    font-size: 13px;
    gap: 2px;
  }
}

@media (min-width: 1024px) and (max-width: 1199px) {
  .cards-container {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    padding: 0 20px;
  }

  .card {
    width: 100%;
  }

  .card img {
    width: 60px;
    height: 60px;
    margin-right: 10px;
  }
}
